Name:		rednotebook
Version:	2.39
Release:	%mkrel 1
Summary:	Daily journal with calendar, templates and keyword searching
Group:		Office/Utilities
License:	GPLv2+
URL:		https://github.com/jendrikseipp/rednotebook/
Source0:	https://github.com/jendrikseipp/rednotebook/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils

Requires:	python3dist(pyyaml)
Requires:	python3dist(pygobject)
Requires:	python3dist(chardet)
Recommends:	python3dist(pyenchant)
Recommends:	python3dist(pygtkspellcheck)

%description
RedNotebook is a modern desktop journal. It lets you format, tag and
search your entries. You can also add pictures, links and customizable
templates, spell check your notes, and export to plain text, HTML,
Latex or PDF.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install

desktop-file-install \
	--add-category="Calendar" \
	--dir=%{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}.dist-info/


%changelog
* Sat Jun 14 2025 daviddavid <daviddavid> 2.39-1.mga10
+ Revision: 2190947
- new version: 2.39

* Wed Feb 26 2025 daviddavid <daviddavid> 2.35-2.mga10
+ Revision: 2152983
- rebuild for python 3.13

* Tue Oct 01 2024 daviddavid <daviddavid> 2.35-1.mga10
+ Revision: 2102166
- new version: 2.35

* Sun Sep 22 2024 daviddavid <daviddavid> 2.34-1.mga10
+ Revision: 2100109
- new version: 2.34

* Thu May 09 2024 daviddavid <daviddavid> 2.33-1.mga10
+ Revision: 2063145
- new version: 2.33

* Tue Feb 27 2024 daviddavid <daviddavid> 2.32-1.mga10
+ Revision: 2044658
- new version: 2.32

* Tue Dec 26 2023 daviddavid <daviddavid> 2.31-2.mga10
+ Revision: 2021623
- rebuild for py3.12

* Wed Sep 20 2023 daviddavid <daviddavid> 2.31-1.mga10
+ Revision: 1988442
- new version: 2.31

* Fri Sep 01 2023 daviddavid <daviddavid> 2.30-1.mga10
+ Revision: 1982940
- new version: 2.30

* Mon Aug 28 2023 daviddavid <daviddavid> 2.29.6-1.mga10
+ Revision: 1980344
- new version: 2.29.6

* Thu Apr 20 2023 daviddavid <daviddavid> 2.29.5-1.mga9
+ Revision: 1953666
- new version: 2.29.5

* Tue Jan 17 2023 daviddavid <daviddavid> 2.29.3-1.mga9
+ Revision: 1934042
- new version: 2.29.3

* Fri Jan 13 2023 daviddavid <daviddavid> 2.29.1-1.mga9
+ Revision: 1932736
- new version: 2.29.1

* Sat Dec 31 2022 daviddavid <daviddavid> 2.29-1.mga9
+ Revision: 1928406
- new version: 2.29

* Thu Dec 29 2022 daviddavid <daviddavid> 2.28.1-1.mga9
+ Revision: 1927586
- new version: 2.28.1

* Mon Dec 19 2022 daviddavid <daviddavid> 2.27.2-1.mga9
+ Revision: 1925316
- new version: 2.27.2

* Tue Nov 22 2022 daviddavid <daviddavid> 2.27.1-1.mga9
+ Revision: 1909969
- new version: 2.27.1

* Sun Nov 06 2022 daviddavid <daviddavid> 2.26-1.mga9
+ Revision: 1903923
- new version: 2.26

* Tue Oct 11 2022 wally <wally> 2.25-3.mga9
+ Revision: 1896248
- add patch for webkit2gtk-4.1 support

* Mon Oct 10 2022 papoteur <papoteur> 2.25-2.mga9
+ Revision: 1896128
- Rebuild for WebKit2

* Mon Aug 22 2022 papoteur <papoteur> 2.25-1.mga9
+ Revision: 1879248
- new 2.25

* Thu Mar 31 2022 umeabot <umeabot> 2.23-2.mga9
+ Revision: 1836373
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 2.23-1.mga9
+ Revision: 1779458
- version 2.23
- updated URL and Source0
- updated files list
- rebuild for python-3.10

* Tue Apr 27 2021 daviddavid <daviddavid> 2.22-1.mga9
+ Revision: 1719995
- new version: 2.22

* Sat Mar 20 2021 daviddavid <daviddavid> 2.21-2.mga9
+ Revision: 1705246
- rebuild for python 3.9

* Tue Dec 15 2020 daviddavid <daviddavid> 2.21-1.mga8
+ Revision: 1657630
- new version: 2.21

* Tue Aug 04 2020 daviddavid <daviddavid> 2.20-1.mga8
+ Revision: 1610869
- new version: 2.20

* Wed Jul 22 2020 ovitters <ovitters> 2.19-2.mga8
+ Revision: 1608022
- rebuild for get rid of pythonegg requires

* Tue May 19 2020 daviddavid <daviddavid> 2.19-1.mga8
+ Revision: 1586127
- new version: 2.19

* Sat May 09 2020 wally <wally> 2.18-2.mga8
+ Revision: 1582261
- rebuild for updated python deps

* Thu Mar 19 2020 daviddavid <daviddavid> 2.18-1.mga8
+ Revision: 1557912
- new version: 2.18

* Tue Feb 25 2020 daviddavid <daviddavid> 2.17-1.mga8
+ Revision: 1550247
- new version: 2.17

* Thu Feb 20 2020 umeabot <umeabot> 2.16-2.mga8
+ Revision: 1545412
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 2.16-1.mga8
+ Revision: 1484676
- new version: 2.16

* Sun Dec 08 2019 daviddavid <daviddavid> 2.15-1.mga8
+ Revision: 1465142
- new version: 2.15

* Wed Nov 20 2019 daviddavid <daviddavid> 2.14-1.mga8
+ Revision: 1461797
- new version: 2.14

* Fri Nov 08 2019 daviddavid <daviddavid> 2.13-1.mga8
+ Revision: 1458810
- new version: 2.13

* Sat Sep 14 2019 daviddavid <daviddavid> 2.11.1-2.mga8
+ Revision: 1440821
- rebuild for python3.8

* Tue Apr 09 2019 daviddavid <daviddavid> 2.11.1-1.mga7
+ Revision: 1387293
- new version: 2.11.1

* Wed Apr 03 2019 daviddavid <daviddavid> 2.11-1.mga7
+ Revision: 1385494
- new version: 2.11

* Tue Mar 26 2019 daviddavid <daviddavid> 2.10-1.mga7
+ Revision: 1380226
- new version: 2.10

* Thu Mar 21 2019 daviddavid <daviddavid> 2.9.1-1.mga7
+ Revision: 1379360
- new version: 2.9.1

* Mon Mar 18 2019 daviddavid <daviddavid> 2.9-1.mga7
+ Revision: 1378709
- new version: 2.9

* Mon Jan 07 2019 daviddavid <daviddavid> 2.8-2.mga7
+ Revision: 1351039
- rebuild for new Python 3.7

* Sat Nov 17 2018 daviddavid <daviddavid> 2.8-1.mga7
+ Revision: 1330302
- new version: 2.8

* Thu Nov 15 2018 daviddavid <daviddavid> 2.7.1-1.mga7
+ Revision: 1329972
- new version: 2.7.1

* Thu Nov 08 2018 daviddavid <daviddavid> 2.7-1.mga7
+ Revision: 1328928
- new version: 2.7

* Wed Oct 10 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1319218
- new version: 2.6.1

* Fri Sep 21 2018 umeabot <umeabot> 2.5-2.mga7
+ Revision: 1290762
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 2.5-1.mga7
+ Revision: 1236244
- new version: 2.5

* Fri Mar 09 2018 daviddavid <daviddavid> 2.4-1.mga7
+ Revision: 1207503
- new version: 2.4

* Thu Sep 28 2017 daviddavid <daviddavid> 2.3-1.mga7
+ Revision: 1161035
- new version: 2.3

* Tue Sep 12 2017 daviddavid <daviddavid> 2.2-1.mga7
+ Revision: 1153211
- new version: 2.2

* Fri Aug 11 2017 daviddavid <daviddavid> 2.1.5-1.mga7
+ Revision: 1139698
- new version: 2.1.5

* Mon Aug 07 2017 daviddavid <daviddavid> 2.1.3-1.mga7
+ Revision: 1138263
- new version: 2.1.3

* Sat Aug 05 2017 daviddavid <daviddavid> 2.1.2-2.mga7
+ Revision: 1135045
- rebuild for new Python 3.6

* Thu Aug 03 2017 daviddavid <daviddavid> 2.1.2-1.mga7
+ Revision: 1134239
- new version: 2.1.2
- port to Python 3 and GTK 3

* Wed Apr 26 2017 akien <akien> 1.15-1.mga6
+ Revision: 1097578
- Version 1.15

* Sat Oct 01 2016 daviddavid <daviddavid> 1.14-2.mga6
+ Revision: 1058032
- increase release tag compared to that of mga5

* Sat Oct 01 2016 daviddavid <daviddavid> 1.14-1.mga6
+ Revision: 1058017
- imported package rednotebook (thanks to Fabien Deschodt)

